# https://github.com/Tessil/robin-map required
%def_enable snapshot
%define pypi_name nanobind

%def_enable check

Name: python3-module-%pypi_name
Version: 2.7.0
Release: alt1

Summary: A small binding library that exposes C++ types in Python and vice versa
Group: Development/Python3
License: BSD-3-Clause
Url: https://pypi.org/project/%pypi_name

Vcs: https://github.com/wjakob/nanobind.git

%if_disabled snapshot
Source: https://pypi.io/packages/source/n/%pypi_name/%pypi_name-%version.tar.gz
%else
Source: %pypi_name-%version.tar
%endif

BuildArch: noarch

BuildRequires(pre): rpm-build-python3 rpm-macros-cmake
BuildRequires: python3(wheel) python3(scikit_build_core)
BuildRequires: cmake gcc-c++
%{?_enable_check:BuildRequires: python3(pytest)}

%description
%{summary}.

%prep
%setup -n %pypi_name-%version

%build
%cmake_insource \
    -DNB_INSTALL_DATADIR="%_datadir/%pypi_name" \
    -DNB_TEST_FREE_THREADED=OFF
%nil
%cmake_build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir_noarch
py.test-3

%files
%python3_sitelibdir_noarch/%pypi_name/
%python3_sitelibdir_noarch/%{pyproject_distinfo %pypi_name}
%doc README*

%changelog
* Fri Apr 18 2025 Yuri N. Sedunov <aris@altlinux.org> 2.7.0-alt1
- 2.7.0

* Sat Mar 29 2025 Yuri N. Sedunov <aris@altlinux.org> 2.6.1-alt1
- 2.6.1

* Fri Mar 28 2025 Yuri N. Sedunov <aris@altlinux.org> 2.6.0-alt1
- 2.6.0

* Sun Feb 02 2025 Yuri N. Sedunov <aris@altlinux.org> 2.5.0-alt1
- 2.5.0

* Fri Dec 06 2024 Yuri N. Sedunov <aris@altlinux.org> 2.4.0-alt1
- 2.4.0

* Thu Oct 03 2024 Yuri N. Sedunov <aris@altlinux.org> 2.2.0-alt1
- 2.2.0

* Mon Aug 26 2024 Yuri N. Sedunov <aris@altlinux.org> 2.1.0-alt1
- first build for Sisyphus




